%define oname sexplib0

Name:           ocaml-%{oname}
Version:        0.15.1
Release:        %mkrel 1
Summary:        OCaml Library containing the definition of S-expressions and some base converters
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler
BuildRequires:  opam

%description
Library containing the definition of S-expressions and some base converters

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --release %{?_smp_mflags}

# TODO: Once odoc is available, BR it and run this to generate documentation:
# dune build @doc

%check
dune runtest

%install
dune install --destdir=%{buildroot}

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.mli
%{_libdir}/ocaml/%{oname}/*.ml


%changelog
* Sat Oct 08 2022 pterjan <pterjan> 0.15.1-1.mga9
+ Revision: 1895387
- Update to 0.15.1

* Thu May 19 2022 pterjan <pterjan> 0.15.0-2.mga9
+ Revision: 1859160
- Build with --release to make deprecation warning non fatal
- Rebuild for OCaml 4.14

* Sun May 08 2022 pterjan <pterjan> 0.15.0-1.mga9
+ Revision: 1856901
- Update to 0.15.0

* Sun Apr 03 2022 umeabot <umeabot> 0.14.0-3.mga9
+ Revision: 1841570
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.14.0-2.mga9
+ Revision: 1750953
- Rebuild for ocaml 4.13.1

* Thu Mar 04 2021 tv <tv> 0.14.0-1.mga9
+ Revision: 1697736
- 0.14.0

* Fri Aug 21 2020 umeabot <umeabot> 0.13.0-4.mga8
+ Revision: 1617575
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.13.0-3.mga8
+ Revision: 1551497
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.13.0-2.mga8
+ Revision: 1543576
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 0.13.0-1.mga8
+ Revision: 1481948
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.11.0-1.mga7
+ Revision: 1324438
- imported package ocaml-sexplib0

